﻿
/*--------------------------------------------------------------------------------------*/
/*-------------------------------------------------------------  CONTROLS---------------*/
/*--------------------------------------------------------------------------------------*/

.XXtest{
    background-color:#dcf1dd
}
.align-right{
    text-align:right;
}

/*-------------------------------------------------------------  TREEVIEW ---------------
--------------------------------------------------------------------------------------*/
.tv-container{
    width:100%;
    border:0px solid lightgray;
    overflow:auto;
    padding:5px;
}
.tv-ul{
    font-size:14px;
    line-height:18px;
    padding:0px;
    margin:0px;
}
.tv-ul li{
    list-style:none;
    padding:0px;
    padding-left:10px;
    margin:0px;
    white-space:nowrap;
    cursor:pointer;
    background-size: 16px 16px; 
}
.tv-ul li p:hover{
    background-color:lightblue;
}
.tv-ul li.collapsed{
    background:url(../images/folder2.gif) top left no-repeat;
    background-size: 16px 16px; 
}
.tv-ul li.expanded{
    background:url(../images/folder5.gif) top left no-repeat;
    background-size: 16px 16px; 
}
.tv-ul li p{
    margin-left:10px;
    display:inline-block;
}
.tv-ul li i{
    position:absolute;
    left:14px;
    font-size:19px;
}
.tv-ul li.node.hlp{
    background:url(../images/hlp.gif) top left no-repeat;
    background-size: 16px 16px; 
}
.tv-ul li.node.report{
    background:url(../images/report.gif) top left no-repeat;
    background-size: 16px 16px; 
}
.tv-ul li.node.settings{
    background:url(../images/config.gif) top left no-repeat;
    background-size: 16px 16px; 
}
.tv-ul li.node.edit{
    background:url(../images/edit.gif) top left no-repeat;
    background-size: 16px 16px; 
}

/*-------------------------------------------------------------  GRID    ---------------
--------------------------------------------------------------------------------------*/
/* class "grid" */
.grid {
    width: 100%;
    height: 100% !important;
}
[ui-grid-row] {
    display: table-row;
}

.ui-grid-row, .ui-grid-cell {
    height: auto !important;
}

.ui-grid-cell {
    float: none;
    display: table-cell;
}

.ui-grid-header-cell, .ui-grid-cell-contents {
    white-space: normal;
    padding: 2px;
    word-break: break-word;
}





/*-------------------------------------------------------------  GRID    ---------------
--------------------------------------------------------------------------------------*/
/* class "edit-combobox" */

.combobox {
    display: inline-block;
    min-width: 200px;
    height: var(--field-height);
    max-width: 100%;
    width: 50%;
    color: var(--color);
}
.dropdown-item {
    color: var(--color);
}
.combobox li {
    border-bottom: 1px solid #f6f3f3;
}
.ui-select-choices-row:hover {
    background-color: var(--hover-backcolor) !important;
    color: var(--hover-color) !important;
    background: var(--hover-background) !important;
}

.select2 > .select2-choice.ui-select-match {
    /* Because of the inclusion of Bootstrap */
    height: 29px;
}
.selectize-control > .selectize-dropdown {
    top: 36px;
}
.select2-results .select2-highlighted {
    background: var(--selected-backcolor) !important;
    color: var(--selected-color) !important;
}


/*-------------------------------------------------------------  PANEL   ---------------
--------------------------------------------------------------------------------------*/
/* class "panel" */
.panel {
    color: var(--color);
    background-color: var(--backcolor);
    width: 100%;
    min-height: var(--field-height);
    padding: 3px;
    margin-top: 2px;
    margin-bottom: 2px;
    display:block;
}

/* class "panel border" */
.panel.border{
    border-radius: var(--border-radius);
    border: 1px solid var(--border-color);
}


/*-------------------------------------------------------------  BUTTONS ---------------
    button              -Standard Button mit Icon 

    button-i            -Button MIT Icon
    image-button        -Button, nur mit einem Icon 

    header-button
--------------------------------------------------------------------------------------*/
/* class "button" */

.hw-state {
    display: inline-block;
    line-height: var(--button-height);
    text-align: center;
    vertical-align: middle;
    background-image: none;
    font-weight: 400;
    margin-top: 3px;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 3px;
    padding-right: 3px;
    overflow: hidden;
    height: var(--button-height);
    min-width: 30px;
    border: 1px solid transparent;
    cursor: pointer;
} 
.hw-state:hover{
    border: 1px solid var(--hover-bordercolor);
}
.hw-state i{
    color:lightgray;
    position: relative;
    vertical-align: middle;
    margin-bottom: 4px;
}
.hw-state-online i {
    color: green;
}
.hw-state-offline i {
    color: red;
}
.hw-state-disabled i {
    color: lightgray ;
}
.hw-lade-offen i {
    color: orange;
}
.hw-state-ok {
    color: green;
}
.hw-state-error {
    color: red;
}
.hw-state-info {
    color: dodgerblue;
}
.hw-state-div {
    margin: 3px;
    padding:3px;
    border: 1px solid lightgray;
    border-radius: var(--border-radius);
    cursor:pointer;
}
hw-state-div:hover {
    border: 1px solid blue;
}
.button {
    color: var(--color);
    background-color: var(--button-backcolor);
    border-color: var(--border-color);
    border: 1px solid var(--border-color);
    border-radius: var(--border-radius);
    font-size: var(--font-size);
    display: inline-block;
    line-height: var(--button-height);
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    touch-action: manipulation;
    user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    background-image: none;
    font-weight: 400;
    margin-top: 3px;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 3px;
    padding-right: 3px;
    max-height: var(--button-height);
    min-height: var(--button-height);
    height: var(--button-height);
    overflow: hidden;
    min-width: 80px;
    box-shadow: inset 0px 1px 1px rgba(0,0,0,0.075);
}


.button:focus {
    box-shadow: 0 0 5px rgba(243, 60, 60, 1);
    border: 1px solid rgba(243, 60, 60, 1);
}


.button i {
    color: var(--color);
    position:relative;
    vertical-align:middle;
    margin-bottom:4px;
}

.button:hover {
    border: 1px solid var(--hover-bordercolor);
    background-color: var(--hover-backcolor);
    color: var(--hover-color);
    background:var(--hover-background);
    box-shadow: 0 0 5px var(--hover-bordercolor);
}

.button:hover i, .button.header-button:hover i {
    color: var( --hover-icon-color);
}
.button:hover{
    box-shadow: 1px 1px 9px 3px rgba(32,120,185,0.45);
}


/* class "button no-icon"                       Button, ohne Icon*/
.button.no-icon{
    padding-left: 12px;
    padding-right: 12px;
}
/* class "button image-button"                 Nur Icon als Button*/
.button.image-button{
    min-width:unset;
}

.tool-button{
    margin:0px;
    min-height:30px;
    max-height:30px;
    line-height:1.7;
    min-width:60px;
}
.pos-fkt-button {
    width: 45px;
}
/* class "button header-button"                 Icon im Header*/
.button.header-button {
    background-color: transparent;
    color: var(--header-color);
    border: 1px dotted var(--border-color);
    line-height: normal;
    padding-left: 15px;
    padding-right: 15px;
    height: unset;
    min-height: unset;
    max-height: unset;
}
.button.header-button i {
     color: var(--header-color);
}



.button-disabled, .button-disabled:hover {
    color: var(--disabled-color) !important;
    background-color: var(--disabled-backcolor) !important;
    font-style: italic !important;
    border: 1px solid var(--disabled-bordercolor) !important;
    box-shadow: unset !important;
    cursor: not-allowed;
    font-style: italic;
    pointer-events: none;
    opacity: 0.5;
    background: transparent !important;
}

.button-disabled i {
        color: var(--disabled-color) !important;
}

.button-save {
    background: linear-gradient(360deg, #c4f2bd 0%, #FFF 100%);
    border: 1px solid green;
    box-shadow: 1px 1px 9px 3px rgba(13,129,20,0.38);
}
.button-bar {
    background: linear-gradient(360deg, #c4f2bd 0%, #FFF 100%) !important;
    border: 1px solid green !important;
    box-shadow: 1px 1px 9px 3px rgba(13,129,20,0.38) ;
}
.button-back {
    min-width: 200px !important;
    display: block;
    margin-left: 0px;
    margin-right: 20px;
    max-width:500px;
}
.touch-button{
    min-width:160px;
    min-height:50px;
}
.button-cancel {
    /*background: linear-gradient(360deg, #d33434 0%, #FFF 100%);*/
    border: 1px solid red;
    /*box-shadow: 1px 1px 9px 3px rgba(177, 67, 67,0.38);*/
}

/*--------------------------------------------------------------------------------------*/
/*------------------------------User-Eingaben und  Edit Controls        ----------------*/
/*--------------------------------------------------------------------------------------*/
.user-eingaben-content {
    display: block;
    padding: 3px;
}
.eingabe-form{
    width:100%;
    height:100%;
}
.form-control {
    font-size: var(--font-size);
    height: var(--field-height) !important;
}
.edit-fields{
    margin-left:10px;
    max-width:700px;
}
.edit-group {
    display: block;
    margin-bottom: 7px;
    padding: 0px;
    width:100%;
}

.edit-group label {
        display: inline-block;
        width: 40%;
        max-width: 300px;
        text-align: right;
        vertical-align: middle;
        margin: 0px;
        margin-right: 3px;
        position:relative;
        top:5px;
        margin-bottom:5px;

}

.edit-group input[type=text], .edit-group input[type=password], .edit-group input[type=date], .textbox {
        display: inline-block;
        height: var(--field-height);
        line-height: 1.4285;
        background-image: none;
        background-color: white;
        border-radius: 4px;
        border: 1px solid #ccc;
        font-family: inherit;
        color: #555;
        padding: 6px 12px;
        width: 50%;
        min-width: 150px;
        max-width: 500px;
        box-shadow: inset 0px 1px 1px rgba(0,0,0,0.075);
}

.edit-group input[type=checkbox] {
            text-align: left;
            max-width: 150px;
            min-width: 50px;
            border: 1px solid #ccc;
            vertical-align: middle;
            min-height: 20px;
            max-height: 30px;
}

.edit-group input:hover,.textbox:hover {
            box-shadow: 0 0 5px rgba(81, 203, 238, 1);
            border: 1px solid rgba(81, 203, 238, 1);
}

.edit-group input:focus,.textbox:focus {
            box-shadow: 0 0 5px rgba(243, 60, 60, 1);
            border: 1px solid rgba(243, 60, 60, 1);
}
.textbox{
    min-width:unset;
    max-width:unset;
}


.edit-value {
    display: inline-block;
    height: var(--field-height);
    line-height: 1.4285;
    background-image: none;
    background-color: white;
    border-radius: 4px;
    border: 1px solid #ccc;
    font-family: inherit;
    min-width: 200px;
    color: #555;
    padding: 6px 12px;
    min-width: 200px;
    box-shadow: inset 0px 1px 1px rgba(0,0,0,0.075);
    vertical-align: middle;
    color: cornflowerblue;
}



.small-input  {
    max-width: 100px !important;
    min-width: 50px !important;
}

/* COMBOBOX VERSION 2*/
.cmb {
    display: inline-block;
    border-radius: var(--border-radius);
    border: 1px solid var(--border-color);
    line-height: var(--field-height);
    text-align: left;
    vertical-align: middle;
    margin-top: 3px;
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 5px;
    padding-right: 0px;
    max-height: var(--field-height);
    min-height: var(--field-height);
    height: var(--field-height);
    overflow: hidden;
    min-width: 80px;
    box-shadow: inset 0px 1px 1px rgba(0,0,0,0.075);
    cursor: pointer;
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 50%
}
.cmb:focus {
    box-shadow: 0 0 5px rgba(243, 60, 60, 1);
    border: 1px solid rgba(243, 60, 60, 1);
}
.cmb-match{
    display:block;
    width:100%;
    height:100%;
    position:relative;
}
.cmb-text {
    display: inline-block;
}
.cmb-icon {
    font-size: 16px;
    border-left: 1px solid lightgray;
    font-weight: 900;
    background: linear-gradient(360deg, #d2d6d9 0%, #FFF   100%);
    display:inline-block;
    position:absolute;
    right: 0px;
    top:0px;
    width: 18px;
    height: var(--field-height);
    padding-top:7px;

}
.cmb-dropdown {
    min-height: 200px;
    border: 1px solid lightgray;
    border-radius: var(--border-radius);
    border: 1px solid var(--border-color);
    display:block;
    z-index:600;
    min-width:200px;
    width:50%;
    background-color:white;
    overflow:hidden;
    overflow-y:auto;
    position:fixed;
    margin-top:1px;
    margin-left:-5px;
}
.cmb-ul{
    padding:5px;
    overflow:hidden;
    transition: all .5s ease;
}

.cmb-li {
    list-style: none;
    background-image: none;
    display: list-item;
    border-bottom: 1px solid #f6f3f3;
    transition: all .5s ease;
}
ul li {
    transition: all .5s ease;
}
.cmb-selected{
    background-color: rgba(145, 211, 229, 0.42);
}
.cmb:hover {
    border: 1px solid var(--hover-bordercolor);
    /*   background-color: var(--hover-backcolor);
    background: var(--hover-background);*/

    color: var(--hover-color);
    box-shadow: 0 0 5px var(--hover-bordercolor);
}
.cmb-li:hover {
        background-color: var(--hover-backcolor);
        color: var(--hover-color);
        background: var(--hover-background);
        box-shadow: 0 0 5px var(--hover-bordercolor);
    }

/*--- CheckBox */
.chk {
    background-repeat: no-repeat;
    background-position: center center;
    background-size: unset;
    border: 0px;
    border-radius: 0px;
    color: #4269a4;
    cursor: pointer;
    margin: 0px;
    padding: 0;
    background-color: transparent;
    min-height: 1.75rem;
    background-image: url("../images/checkbox_off.svg");
    display: inline-block;
    vertical-align: middle;
    width: 70px;
    min-width: 60px;
    min-height: 30px;
    height: var(--field-height);
}
.chk-on {
    background-image: url("../images/checkbox_on.svg")
}

.filter-text {
    max-width: 25% !important;
}

.filter-combo {
    display: inline-block;
    max-width: 30%;
    width:150px;
    min-width:unset;
}

.filter-combo .cmb{
    width:100% !important;
    margin-top:0px;
}
.placeholder{
    font-size:small;
    color:gray;
    font-style:italic;
}
.qrcode{
    margin-left:150px;
    margin-top:10px
}